Update Event notification by id

http
PUT https://services.leadconnectorhq.com/calendars/{calendarId}/notifications/{notificationId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
calendarIdstringYes
notificationIdstringYes

Body

NameTypeRequiredExampleDescription
receiverTypestringNoNotification recipient type Possible values: 'contact', 'guest', 'assignedUser', 'emails', 'phoneNumbers', 'business'
additionalEmailIdsstring[]NoAdditional email addresses to receive notifications.
additionalPhoneNumbersstring[]NoAdditional phone numbers to receive notifications.
selectedUsersstring[]NoSelected users for in-App and business email notifications. Supports user IDs and special keyword "sub_account_admin"
channelstringNoNotification channel Possible values: 'email', 'inApp', 'sms', 'whatsapp'
notificationTypestringNoNotification type Possible values: 'booked', 'confirmation', 'cancellation', 'reminder', 'followup', 'reschedule'
isActivebooleanNoIs the notification active
deletedbooleanNoMarks the notification as deleted (soft delete)
templateIdstringNoTemplate ID for email notification
bodystringNoBody for email notification. Not necessary for in-App notification
subjectstringNoSubject for email notification. Not necessary for in-App notification
  • afterTime (object[]): Specifies the time after which the follow-up notification should be sent. This is not required for other notification types.

    • timeOffset (number)

    • unit (string)

  • beforeTime (object[]): Specifies the time before which the reminder notification should be sent. This is not required for other notification types.

    • timeOffset (number)

    • unit (string)

NameTypeRequiredExampleDescription
fromAddressstringNoFrom address for email notification
fromNumberstringNofrom number for sms notification
fromNamestringNoFrom name for email/sms notification

Responses

200 - Successful response
  • message (string, required): Result of delete/update operation

json
{
  "message": "string"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications/YOUR_notificationId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "receiverType": "contact",
  "additionalEmailIds": [
    "example1@email.com",
    "example2@email.com"
  ],
  "additionalPhoneNumbers": [
    "+919876744444",
    "+919876744445"
  ],
  "selectedUsers": [
    "userId1",
    "userId2",
    "sub_account_admin"
  ],
  "channel": "email",
  "notificationType": "booked",
  "isActive": true,
  "deleted": false,
  "templateId": "string",
  "body": "string",
  "subject": "string",
  "afterTime": [
    {
      "timeOffset": 1,
      "unit": "hours"
    }
  ],
  "beforeTime": [
    {
      "timeOffset": 1,
      "unit": "hours"
    }
  ],
  "fromAddress": "string",
  "fromNumber": "string",
  "fromName": "string"
}'

Last updated October 26, 2026

Was this page helpful?